---
updatedAt: 2025-06-11T20:43:35.000Z
agentTools:
  projectIndex: https://docs.allthatnode.com/llms.txt
---

# Jsonrpc Handler

All methods in the API are available through JSON-RPC protocol ([spec](https://www.jsonrpc.org/specification)).

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "TON HTTP API",
    "description": "\nThis API enables HTTP access to TON blockchain - getting accounts and wallets information, looking up blocks and transactions, sending messages to the blockchain, calling get methods of smart contracts, and more.\n\nIn addition to REST API, all methods are available through [JSON-RPC endpoint](#json%20rpc)  with `method` equal to method name and `params` passed as a dictionary.\n\nThe response contains a JSON object, which always has a boolean field `ok` and either `error` or `result`. If `ok` equals true, the request was successful and the result of the query can be found in the `result` field. In case of an unsuccessful request, `ok` equals false and the error is explained in the `error`.\n\nAPI Key should be sent either as `api_key` query parameter or `X-API-Key` header.\n",
    "version": "2.0.0"
  },
  "servers": [
    {
      "url": "/api/v2"
    }
  ],
  "paths": {
    "/jsonRPC": {
      "post": {
        "tags": [
          "json rpc"
        ],
        "summary": "Jsonrpc Handler",
        "description": "All methods in the API are available through JSON-RPC protocol ([spec](https://www.jsonrpc.org/specification)).",
        "operationId": "jsonrpc_handler_jsonRPC_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/TonRequestJsonRPC"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DeprecatedTonResponseJsonRPC"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error"
          },
          "504": {
            "description": "Lite Server Timeout"
          }
        },
        "security": [
          {
            "APIKeyHeader": []
          },
          {
            "APIKeyQuery": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "DeprecatedTonResponseJsonRPC": {
        "properties": {
          "ok": {
            "type": "boolean",
            "title": "Ok"
          },
          "result": {
            "title": "Result"
          },
          "error": {
            "type": "string",
            "title": "Error"
          },
          "code": {
            "type": "integer",
            "title": "Code"
          },
          "id": {
            "type": "string",
            "title": "Id"
          },
          "jsonrpc": {
            "type": "string",
            "title": "Jsonrpc",
            "default": "2.0"
          }
        },
        "type": "object",
        "required": [
          "ok",
          "id"
        ],
        "title": "DeprecatedTonResponseJsonRPC"
      },
      "TonRequestJsonRPC": {
        "properties": {
          "method": {
            "type": "string",
            "title": "Method"
          },
          "params": {
            "type": "object",
            "title": "Params",
            "default": {}
          },
          "id": {
            "type": "string",
            "title": "Id"
          },
          "jsonrpc": {
            "type": "string",
            "title": "Jsonrpc"
          }
        },
        "type": "object",
        "required": [
          "method"
        ],
        "title": "TonRequestJsonRPC"
      }
    },
    "securitySchemes": {
      "APIKeyHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key"
      },
      "APIKeyQuery": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "tags": [
    {
      "name": "json rpc",
      "description": "JSON-RPC endpoint."
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```